summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorJan Beich <jbeich@FreeBSD.org>2020-05-23 15:29:28 +0000
committerJan Ekström <jeebjp@gmail.com>2020-05-25 01:35:58 +0300
commit7c9543577a9aae1dabdeeb27c658844f9bb89ed0 (patch)
treeed3feb4dc01ac904a947b36762f4b700109d26b8 /ci
parentbf6afbc299f300332f36c6aec05ae10479ddc8c9 (diff)
downloadmpv-7c9543577a9aae1dabdeeb27c658844f9bb89ed0.tar.bz2
mpv-7c9543577a9aae1dabdeeb27c658844f9bb89ed0.tar.xz
CI: add FreeBSD job
Diffstat (limited to 'ci')
-rwxr-xr-xci/build-freebsd.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/ci/build-freebsd.sh b/ci/build-freebsd.sh
new file mode 100755
index 0000000000..32ba0df010
--- /dev/null
+++ b/ci/build-freebsd.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+export CFLAGS="$CFLAGS -isystem/usr/local/include"
+export CXXFLAGS="$CXXFLAGS -isystem/usr/local/include"
+export LDFLAGS="$LDFLAGS -L/usr/local/lib"
+
+if [ ! -e "./waf" ] ; then
+ python3 ./bootstrap.py
+fi
+
+python3 ./waf configure \
+ --enable-libmpv-shared \
+ --enable-lua \
+ --enable-egl-drm \
+ --enable-openal \
+ --enable-sdl2 \
+ --enable-vaapi-wayland \
+ --enable-vdpau \
+ --enable-vulkan \
+ $(pkg info -q v4l_compat && echo --enable-dvbin) \
+ $(pkg info -q libdvdnav && echo --enable-dvdnav) \
+ $(pkg info -q libcdio-paranoia && echo --enable-cdda) \
+ $NULL
+
+python3 ./waf build